using IRaCIS.Application.Contracts.Pay;

namespace IRaCIS.Application.Interfaces
{
    public interface IPaymentAdjustmentService
    {
        Task<PageOutput<PaymentAdjustmentDetailDTO>> GetPaymentAdjustmentList(PaymentAdjustmentQueryDTO queryParam);
        Task<IResponseOutput> AddOrUpdatePaymentAdjustment(PaymentAdjustmentCommand addOrUpdateModel);
        Task<IResponseOutput> DeletePaymentAdjustment(Guid id);
        Task CalculateCNY(string yearMonth, decimal rate);
        Task<List<DoctorSelectDTO>> GetReviewerSelectList();
    }
}